//
//  RoomsListTableViewController.h
//  SDKTestApp
//
//  Created by Vidyalaxmi V Shenoy on 27/08/15.
//  Copyright (c) 2015 Robosoft. All rights reserved.
//

#import <UIKit/UIKit.h>

typedef NS_ENUM(NSInteger, ListType)
{
    ListTypeToShowChatRoom,
    ListTypeToAddContactsToGroup,
    ListTypeServerContacts,
    ListTypeToFilterGroups
};

@protocol ListControllerDelegate <NSObject>

@optional
- (void)selectedContacts:(NSArray *)selectedContacts;
- (void)selectedGroups:(NSArray *)selectedGroups;

@end

@interface ListTableViewController : UITableViewController

@property (nonatomic, assign) ListType listType;
@property (nonatomic, assign) id<ListControllerDelegate> delegate;

@end
